<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryDatabaseConfig..::.SetForeignKeyConstraint Method (Database, ForeignKeyDeleteAction)
SecondaryDatabaseConfig Class See Also

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public void SetForeignKeyConstraint(
    	Database ForeignDB,
    	ForeignKeyDeleteAction OnDelete
    )

Visual Basic (Declaration)

    Public Sub SetForeignKeyConstraint ( _
    	ForeignDB As Database, _
    	OnDelete As ForeignKeyDeleteAction _
    )

Visual C++

    public:
    void SetForeignKeyConstraint(
    	Database^ ForeignDB,
    	ForeignKeyDeleteAction OnDelete
    )

#### Parameters

ForeignDB
  Type: BerkeleyDB..::.Database

OnDelete
  Type: BerkeleyDB..::.ForeignKeyDeleteAction

# See Also

SecondaryDatabaseConfig Class
SetForeignKeyConstraint Overload
BerkeleyDB Namespace